API ReferenceapiclinicalPOST /v1/protocols/match

POST /v1/protocols/match

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "biomarker_codes": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    },
    "category": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "patient_id",
    "brand_id"
  ]
}

Responses

200 Matched protocols

{
  "type": "object",
  "properties": {
    "matches": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "protocol_id": {
            "type": "string"
          },
          "protocol_name": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "match_score": {
            "type": "number"
          },
          "matched_criteria": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "recommendations": {
            "type": "array",
            "items": {}
          }
        },
        "required": [
          "protocol_id",
          "protocol_name",
          "category",
          "match_score",
          "matched_criteria",
          "recommendations"
        ]
      }
    },
    "count": {
      "type": "number"
    }
  },
  "required": [
    "matches",
    "count"
  ]
}

412 Precondition failed (no biomarkers for patient)

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/protocols/match \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'